## org.apache.commons.jelly.tags.core
Class CaseTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.tags.core.CaseTag

All Implemented Interfaces:
  Tag

    public class CaseTag

extends TagSupport

A tag which conditionally evaluates its body if my `value` attribute equals my ancestor `<switch>` tag's `"on"` attribute. This tag must be contained within the body of some `<switch>` tag.

Version:
  $Revision: 155420 $ $Date: 2005-02-27 00:06:03 +1100 (Sun, 27 Feb 2005) $
Author:
  Rodney Waldhoff
See Also:
  `SwitchTag`

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`CaseTag()`

Method Summary
`void` `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`void` `setFallThru(boolean fallThru)`
`void` `setValue(Expression value)`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseTag

    public CaseTag()

Method Detail

### setValue

    public void setValue(Expression value)

### setFallThru

    public void setFallThru(boolean fallThru)

### doTag

    public void doTag(XMLOutput output)
               throws MissingAttributeException,
                      JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Throws:
    `MissingAttributeException`
    `JellyTagException`

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.